com.r3corda.protocols / NotaryProtocol / SignRequest

# SignRequest

`class SignRequest`

TODO: The caller must authenticate instead of just specifying its identity

### Constructors

<init> | `SignRequest(txBits: SerializedBytes<WireTransaction>, callerIdentity: Party)` TODO: The caller must authenticate instead of just specifying its identity

### Properties

callerIdentity | `val callerIdentity: Party`
txBits | `val txBits: SerializedBytes<WireTransaction>`